#!/bin/bash
sudo apt-get update
sudo apt-get upgrade -y
# sudo apt-get dist-upgrade -y
# https://www.tecmint.com/ifconfig-command-examples/
# lshw -C Network
# https://askubuntu.com/questions/222888/network-is-disabled
sudo snap install maas --channel=2.7
sudo maas init
# cat ~/.ssh/id_rsa.pub | ssh {{ user }}@{{ host }} "mkdir -p ~/.ssh && cat >> ~/.ssh/authorized_keys"
# https://www.cyberciti.biz/faq/how-to-disable-ssh-password-login-on-linux/
sudo sed -i 's/#PermitRootLogin prohibit-password/PermitRootLogin no/g' /etc/ssh/sshd_config
sudo sed -i 's/#PasswordAuthentication yes/PasswordAuthentication no/g' /etc/ssh/sshd_config
sudo sed -i 's/UsePAM yes/UsePAM no/g' /etc/ssh/sshd_config
sudo sed -i 's/#PermitRootLogin prohibit-password/PermitRootLogin no/g' /etc/ssh/sshd_config
sudo systemctl reload ssh
# Install LDAP Server
# Source: https://www.tecmint.com/install-openldap-server-for-centralized-authentication/
sudo apt install slapd ldap-utils
sudo systemctl start slapd
sudo systemctl enable slapd
sudo systemctl status slapd
sudo ufw allow ldap
slappasswd
# Use following to make sure ip route is correct on client
# ip route
# sudo ip route change default via 10.11.0.1